
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Linux下安装Oracle10g提示内核参数检查失败 / 憋错料</title>

    <meta name="description" content="Linux下安装Oracle10g提示内核参数检查失败 如图: 先简单介绍下常用的几个内核参数: kernel.shmmax:单个共享内存段的最大字节数 kernel.shmmni:共享内存段的最大个数 kernel.shmall:共享内存的总页数 kernel.sem:信号灯参数 fs.file-max:系统中所允许的文件句柄最大数目. [[email protected] /]# cat /proc/sys/fs/file-max       //查看命令 net.ipv4.ip_local_port_range:应用程序可使用的ipv4端口范围">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Linux下安装Oracle10g提示内核参数检查失败</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>如图：</strong></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3M1LjUxY3RvLmNvbS93eWZzMDIvTTAyLzlELzExL3dLaW9MMWw1bVduZ1JhSWpBQUhUQlJicldLRTQ3OS5wbmctd2hfNTAweDAtd21fMy13bXBfNC1zXzU3NzM1NjAwLnBuZw==.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3M0LjUxY3RvLmNvbS93eWZzMDIvTTAwLzlELzExL3dLaW9tMWw1bVdxQm1mRzFBQUhVQk9pT0k1ODI1Ni5wbmctd2hfNTAweDAtd21fMy13bXBfNC1zXzI0MDA3ODMwMC5wbmc=.jpg" /></p>
<p><strong>先简单介绍下常用的几个内核参数：</strong></p>
<p>kernel.shmmax：单个共享内存段的最大字节数</p>
<p>kernel.shmmni：共享内存段的最大个数</p>
<p>kernel.shmall：共享内存的总页数</p>
<p>kernel.sem：信号灯参数</p>
<p>fs.file-max：系统中所允许的文件句柄最大数目。</p>
<p>[[email&#160;protected] /]# cat /proc/sys/fs/file-max &nbsp; &nbsp; &nbsp; //查看命令</p>
<p>net.ipv4.ip_local_port_range：应用程序可使用的ipv4端口范围。</p>
<p>cat /proc/sys/net/ipv4/ip_local_port_range</p>
<p>net.core.rmem_default：套接字接收缓冲区大小的缺省值。</p>
<p>cat /proc/sys/net/core/rmem_default</p>
<p>net.core.rmem_max：套接字接收缓冲区大小的最大值。</p>
<p>cat /proc/sys/net/core/rmem_max</p>
<p>net.core.wmem_default：套接字发送缓冲区大小的缺省值。</p>
<p>cat /proc/sys/net/core/wmem_default</p>
<p>net.core.wmem_max：套接字发送缓冲区大小的最大值。</p>
<p>cat /proc/sys/net/core/wmem_max</p>
<p>其配置文件为/etc/sysctl.conf</p>
<p><strong>解决方法：</strong></p>
<p>修改配置文件，已有的参数则修改值，没有的则添加</p>
<p>[[email&#160;protected] /]# vim /etc/sysctl.conf</p>
<p>1、kernel.shmall=524288 改为&nbsp;kernel.shmall=2097152</p>
<p>2、添加如下内容：</p>
<p>net.ipv4.ip_local_port_range=1024 65000</p>
<p>net.core.rmem_default=262144</p>
<p>net.core.rmem_max=262144</p>
<p>net.core.wmem_default=262144</p>
<p>net.core.wmem_max=262144</p>
<p>最后使其立即生效：</p>
<p>[[email&#160;protected] ~]# /sbin/sysctl -p &nbsp; &nbsp; &nbsp; &nbsp;//立即生效</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-06 23:34:58 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/oracle/" title="oracle">oracle</a>, <a href="https://www.biecuoliao.com/tag/%e5%86%85%e6%a0%b8/" title="内核">内核</a>, <a href="https://www.biecuoliao.com/tag/%e5%8f%82%e6%95%b0%e6%a3%80%e6%9f%a5/" title="参数检查">参数检查</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Linux下安装Oracle10g提示内核参数检查失败的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38NvYnM.html" rel="bookmark">Linux下安装Oracle10g提示交换空间检查失败</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如图: 安装Oracle10时提示交换空间检查失败.交换空间期望值是2790M,实际只有1498M. 解决方法: 新建临时swapfile或者是空闲分区,其大小为2790-1498=1292M,在需要时设定为交换空间. 步骤: 1.查看当前磁盘大小 [[email protected] ~]# df -lh Filesystem      Size     Used    Avail    Use%     Mounted on /dev/sda2       14G     11G     2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AmYgZ4.html" rel="bookmark">LINUX下ORACLE相关的内核参数详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ORACLE相关的内核参数详解 1.kernel.sem [[email protected] ~]# cat /proc/sys/kernel/sem 250         32000    100         142 [[email protected] ~]#  ipcs -sl ------ Semaphore Limits -------- max number of arrays = 142 max semaphores per array = 250 max semaphor			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyzYwm0.html" rel="bookmark">win7下安装oracle10g提示无法确定主机ip地址的解决方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一 修改hosts文件 1.打开文件C:\Windows\System32\drivers\etc\hosts(直接双击用记事本打开) 2.将该文件末尾最后两行前的'#'都去掉 3.然后保留前一行将后一行改为 本机ip   本机名 本机ip的查询方法d: 点击win(ctrl或alt右边的键)+R 输入ipconfig /all(/不能省略) 在列表中的第一个'IPv4'即本机ip 本机名的查询方法: 右键'计算机' - '属性' - '更改设置'(右下角) - '计算机全名' 二 添加虚拟网络			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bjoQo0.html" rel="bookmark">linux下安装git提示&rdquo;无法打开锁文件 &sol;var&sol;lib&sol;dpkg&sol;lock - open &lpar;13&colon; 权限不够&rpar;&OpenCurlyDoubleQuote;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如图所示,输入命令:apt-get install git后提示权限不够 解决方法,在命令前加 sudo即可 sudo apt-get install git sudo是linux系统管理指令,是允许系统管理员让普通用户执行一些或者全部的root命令的一个工具,如halt,reboot,su等等.这样不仅减少了root用户的登录 和管理时间,同样也提高了安全性.sudo不是对shell的一个代替,它是面向每个命令的.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lwbPbM.html" rel="bookmark">解决 linux 下安装 node 报： command not found</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				注意:有时安装成功后,需要关闭xshell,重新启动.nvm才会生效. 1. 在 linux 下安装 node 提示 -bash:  node: command not found. 2. 这种情况可以用 epel 的来安装 node : sudo yum install epel-release    sudo yum install nodejs    node --version 输出版本信息就证明装成功了. 3. 安装 npm 和 express: sudo yum install np			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OXg294.html" rel="bookmark">Linux下安装 Posgresql 并设置基本参数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Linux下安装Postgresql有二进制格式安装和源码安装两种安装方式,这里用的是二进制格式安装.各个版本的Linux都内置了Postgresql,所以可直接通过命令行安装便可.本文用的是Centos6.5. 安装Postgresql # 安装postgresql服务器 yum install postgresql-server #依赖包是否安装 Y/N Y #第三方贡献包 yum install postgresql-contrib #依赖包是否安装 Y/N Y 安装成功后,数据库状态			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0l7wpWM.html" rel="bookmark">CentOS5&period;6下安装Oracle10G软件（包含报错经验）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CentOS5.6下安装Oracle10G ******************************************************************************** *目标:在Centos系统下,安装Oracle10g软件 *步骤: *                1.安装包 *                2.域名解析设置及网络配置 *                3.创建用户.组 *                4.配置内核参数.修改环境变量			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OnAjZ0.html" rel="bookmark">&lpar;轉載&rpar;Linux下安装Oracle11g服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				轉載:http://www.cnblogs.com/zhangyongli2011/archive/2012/04/04/2431953.html 安装环境 Linux服务器:SuSe10 sp2 64位 Oracle服务器:Oracle11gR2 64位 系统要求 Linux安装Oracle系统要求 系统要求 说明 内存 必须高于1G的物理内存 交换空间 一般为内存的2倍,例如:1G的内存可以设置swap 分区为3G大小 硬盘 5G以上 2.修改操作系统核心参数 在Root用户下执行以下步骤:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4plRB84.html" rel="bookmark">CentOS5&period;6下安装Oracle10G软件   【保留报错经验】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CentOS5.6下安装Oracle10G ******************************************************************************** *目标:在Centos系统下,安装Oracle10g软件 *步骤: *                1.安装包 *                2.域名解析设置及网络配置 *                3.创建用户.组 *                4.配置内核參数.改动环境变量			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/P477eR4.html" rel="bookmark" class="title">ionic2&plus;angular2</a>
					<div>
						ionic2+angular2中踩的那些坑 好久没写什么东西了,最近在做一个ionic2的小东西,遇到了不少问题,也记录一下,避免后来的同学走弯路. 之前写过一篇使用VS2015开发ionic1的文章 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xQa6Q3.html" rel="bookmark" class="title">编写一个程序，它从标准输入读取C源代码，并验证所有的花括号都正确的成对出现</a>
					<div>
						(三种if的情况考虑完整,注意解决问题的思想) #include &lt;stdio.h&gt;int main(){   int count=0; char ch; while((ch=getcha ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0byeLmM.html" rel="bookmark" class="title">Python2&period;7&period;8  setuptools 下载及安装方法</a>
					<div>
						Python2.7.8  setuptools 下载及安装方法 电脑配置:联想笔记本电脑 windows8系统 Python版本:2.7.8 本文章撰写时间:2014.12.11 作者:陈东陈 阅读说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a7aEv4.html" rel="bookmark" class="title">每日总结 - 图片压缩</a>
					<div>
						利用android系统压缩方式进行图片压缩,代码: 1 private String path = &quot;/sdcard/img.jpg&quot;; 2 File f = new File(p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j5YqWM.html" rel="bookmark" class="title">二叉树用C&plus;&plus;实现</a>
					<div>
						template&lt;class T&gt; struct BinaryTreeNode//二叉树的节点结构 { T _data; BinaryTreeNode&lt;T&gt;* _left; B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nEj7vM.html" rel="bookmark" class="title">《C程序设计语言（第2版&amp;&num;183&semi;新版）》第5章 指针与数组</a>
					<div>
						指针:保存变量地址的变量:在 C中应用广泛,因为1)指针往往是表达某个计算的唯一途径:2)使用指针往往可以写出更高效紧凑的代码:另一方面,1)指针和goto一样,会导致程序难以理解:2)粗心会很容易导 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0enWPD3.html" rel="bookmark" class="title">Autolayout&lpar;自动布局&rpar;</a>
					<div>
						VFL语言实现以下界面: - (void)viewDidLoad { [super viewDidLoad]; //创建上面的view UIView *topView = [[UIView alloc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MylW6p4.html" rel="bookmark" class="title">BEGINNING SHAREPOINT&amp;&num;174&semi; 2013 DEVELOPMENT 第5章节--Windows Azure概览 Windows Azure平台</a>
					<div>
						BEGINNING SHAREPOINT? 2013 DEVELOPMENT 第5章节--Windows Azure概览 Windows Azure平台 Windows Azure平台由许多不同服务组 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M658EW4.html" rel="bookmark" class="title">Unity3d-Particle System系统的学习</a>
					<div>
						最近看了下Unity3d的粒子系统的相关视频,并且动手操作了下,感觉自己的美工技能又增进了下(开个小玩笑),发现粒子系统所需要记忆的东西还是有点多的. 所以为了不让自己遗忘某些知识点,我准备发布成博客 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyWjxL3.html" rel="bookmark" class="title">android 防止程序之间互相访问（exported属性）</a>
					<div>
						程序A如果不想被其他的程序调用自己的activity,service,或者是receiver的时候,只要在AndroidManifest.xml里面添加exported属性,便能使其他的程序不能调用自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pQ1xPM.html" rel="bookmark" class="title">Linux下面Eclipse出现中文乱码</a>
					<div>
						之前在Windows下面的代码移到Ubuntu系统后出现中文乱码,因为默认不支持Windows下面的GBK字符集,需要自己加入到配置文件中. 1. 在 /var/lib/locales/support ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e7g2Z4.html" rel="bookmark" class="title">赶集网怒吼58同城  被刺痛了么？</a>
					<div>
						这两天在舆论的推波助澜下,赶集网与58同城吵的很凶,一个说对方没意义,另一个说对方没修养,这口水仗打的太狠了,就差骂娘了吧? 在互联网行业,口水仗早已是家常便饭,不足为奇,不过因为媒体的误导而发生的唇 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzLG2l3.html" rel="bookmark" class="title">&lbrack;Canvas&rsqb; Introduction to drawing with p5js</a>
					<div>
						In this lesson we look at using color and the basic drawing methods of p5js, and how they can be com ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35rPw24.html" rel="bookmark" class="title">MonkeyRunner源码分析之工作原理图</a>
					<div>
						http://www.androidchina.net/1315.html					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xBGZL4.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;伪苹果&rdquo;折腾记</a>
					<div>
						2012年中我买了一台Macbook Pro MD318,二手的,为啥买二手?还不是为了性价比,第二代i7四核处理器,1680*1050的分辨率(貌似苹果官方当时新出的机器没有这种分辨率),512M独 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Y188N0.html" rel="bookmark" class="title">Oracle监控代理安装ITM&lpar;IBM Tivoli Monitoring&rpar;</a>
					<div>
						1 监控代理安装 2 1.1 安装 2 1.1.1 解压安装包 2 1.1.2 安装 2 1.2 配置 5 1.2.1 给Agent授权 5 1.2.2 配置Oracle Agent 10 目录 1  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPBVjv3.html" rel="bookmark" class="title">oracle 游标-------转</a>
					<div>
						-- 声明游标:CURSOR cursor_name IS select_statement --For 循环游标 --(1)定义游标 --(2)定义游标变量 --(3)使用for循环来使用这个游标  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49OmR10.html" rel="bookmark" class="title">菜鸟学习Spring&mdash;&mdash;第一个例子</a>
					<div>
						一.概述 原来我们利用工厂来实现灵活的配置.现在利用Spring以后把这个交给了IoC容器管理.我们只要在XML文件上配上就可以了这样的话就节省了很多开发时间我们不需要知道后面的有多少只要动态的配上类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eYWKp0.html" rel="bookmark" class="title">helloworld Snap例程</a>
					<div>
						我们在很多的语言开发中都少不了使用＂Hello, the world!＂来展示一个开发环境的成功与否,在今天的教程中,我们也毫不例外地利用这个例子来展示snap应用是如何构建的．虽然这个例子很简单,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02q8ARM.html" rel="bookmark" class="title">iOS开发Xcode常用快捷键</a>
					<div>
						代码缩进: Command+［ 左缩进 Command+  ］ 右缩进 工具栏窗口的切换: command + 0 打开或关闭左边导航 option + command + 0 打开或关闭右边属性窗口 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
